Bug 137119

Summary: [Mac] MediaPlayerPrivateQTKit should not use FrameView
Product: WebKit Reporter: Carlos Garcia Campos <cgarcia>
Component: PlatformAssignee: Eric Carlson <eric.carlson>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, eric.carlson, glenn, jeremyj-wk, jer.noble, philipj, sergio
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 137217    
Bug Blocks: 21562    
Attachments:
Description Flags
Proposed patch. none

Description Carlos Garcia Campos 2014-09-25 11:28:11 PDT
It's a layering violation. There are two cases where frame view is used in code that could be removed:

 - Frame rate rendering, this is not built by default and can be removed.
 - To make the QTMovieView a subview of the document view. This is compiled by default, but can be removed as well.
Comment 1 Eric Carlson 2014-09-29 20:12:20 PDT
Created attachment 238904 [details]
Proposed patch.
Comment 2 Carlos Garcia Campos 2014-09-29 23:12:00 PDT
Comment on attachment 238904 [details]
Proposed patch.

More dead code removed :-) Thanks!
Comment 3 WebKit Commit Bot 2014-09-30 07:30:37 PDT
Comment on attachment 238904 [details]
Proposed patch.

Clearing flags on attachment: 238904

Committed r174106: <http://trac.webkit.org/changeset/174106>
Comment 4 WebKit Commit Bot 2014-09-30 07:30:41 PDT
All reviewed patches have been landed.  Closing bug.